#!/usr/bin/env python

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
# 
# Author : Nicolas Rougier
# Date   : 03/08/2007
# Version: beta

""" Float attribute renderer """

#________________________________________________________________________import
import gtk
import sys
from renderer import Renderer

#___________________________________________________________class FloatRenderer
class FloatRenderer (Renderer):
    """ Real attribute renderer """
    
    #_________________________________________________________________ __init__
    def __init__ (self, attribute):
        """ Initialize renderer according to attribute """
        
        Renderer.__init__ (self, attribute)
        self.editable = gtk.Entry ()
        self.editable.set_width_chars (6)
        self.set_value (self.attribute.get_value())
        self.signal_id = self.editable.connect ('changed',self.on_change)

    #_________________________________________________________________set_value
    def set_value (self, value):
        """ Set edited value to value """

        self.editable.set_text (repr(value))

    #_________________________________________________________________get_value
    def get_value (self):
        """ Get edited value """

        v = 0.0
        self.bad_value = False
        try:
            v = eval(self.editable.get_text ())
        except:
            self.bad_value = True
        return v


